namespace elm { 
inline ::efl::eolian::return_traits<int>::type Slideshow::cache_after_get() const
{
   int __return_value =  ::elm_obj_slideshow_cache_after_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Slideshow::cache_after_set( ::efl::eolian::in_traits<int>::type count) const
{
    ::elm_obj_slideshow_cache_after_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(count));
}
inline ::efl::eolian::return_traits<int>::type Slideshow::cache_before_get() const
{
   int __return_value =  ::elm_obj_slideshow_cache_before_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Slideshow::cache_before_set( ::efl::eolian::in_traits<int>::type count) const
{
    ::elm_obj_slideshow_cache_before_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(count));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Slideshow::layout_get() const
{
   const char * __return_value =  ::elm_obj_slideshow_layout_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Slideshow::layout_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type layout) const
{
    ::elm_obj_slideshow_layout_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(layout));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Slideshow::transition_get() const
{
   const char * __return_value =  ::elm_obj_slideshow_transition_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Slideshow::transition_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type transition) const
{
    ::elm_obj_slideshow_transition_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(transition));
}
inline ::efl::eolian::return_traits<bool>::type Slideshow::loop_get() const
{
   Eina_Bool __return_value =  ::elm_obj_slideshow_loop_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Slideshow::loop_set( ::efl::eolian::in_traits<bool>::type loop) const
{
    ::elm_obj_slideshow_loop_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(loop));
}
inline ::efl::eolian::return_traits<double>::type Slideshow::timeout_get() const
{
   double __return_value =  ::elm_obj_slideshow_timeout_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Slideshow::timeout_set( ::efl::eolian::in_traits<double>::type timeout) const
{
    ::elm_obj_slideshow_timeout_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(timeout));
}
inline ::efl::eolian::return_traits<  ::efl::eina::range_list< ::elm::widget::Item>>::type Slideshow::items_get() const
{
   const Eina_List * __return_value =  ::elm_obj_slideshow_items_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<  ::efl::eina::range_list< ::elm::widget::Item>>::type>(__return_value);
}
inline ::efl::eolian::return_traits<  ::efl::eina::range_list< ::efl::eina::string_view>>::type Slideshow::transitions_get() const
{
   const Eina_List * __return_value =  ::elm_obj_slideshow_transitions_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<  ::efl::eina::range_list< ::efl::eina::string_view>>::type>(__return_value);
}
inline ::efl::eolian::return_traits< unsigned int>::type Slideshow::count_get() const
{
   unsigned int __return_value =  ::elm_obj_slideshow_count_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< unsigned int>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Slideshow::item_current_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_slideshow_item_current_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits<  ::efl::eina::range_list< ::efl::eina::string_view>>::type Slideshow::layouts_get() const
{
   const Eina_List * __return_value =  ::elm_obj_slideshow_layouts_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<  ::efl::eina::range_list< ::efl::eina::string_view>>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Slideshow::previous() const
{
    ::elm_obj_slideshow_previous(this->_eo_ptr());
}
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Slideshow::item_nth_get( ::efl::eolian::in_traits< unsigned int>::type nth) const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_slideshow_item_nth_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<unsigned int,  ::efl::eolian::in_traits< unsigned int>::type>(nth));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Slideshow::next() const
{
    ::elm_obj_slideshow_next(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Slideshow::clear() const
{
    ::elm_obj_slideshow_clear(this->_eo_ptr());
}
} 
namespace eo_cxx {
namespace elm { 
inline ::efl::eolian::return_traits<int>::type Slideshow::cache_after_get() const
{
   int __return_value =  ::elm_obj_slideshow_cache_after_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Slideshow::cache_after_set( ::efl::eolian::in_traits<int>::type count) const
{
    ::elm_obj_slideshow_cache_after_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(count));
}
inline ::efl::eolian::return_traits<int>::type Slideshow::cache_before_get() const
{
   int __return_value =  ::elm_obj_slideshow_cache_before_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<int>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Slideshow::cache_before_set( ::efl::eolian::in_traits<int>::type count) const
{
    ::elm_obj_slideshow_cache_before_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<int,  ::efl::eolian::in_traits<int>::type>(count));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Slideshow::layout_get() const
{
   const char * __return_value =  ::elm_obj_slideshow_layout_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Slideshow::layout_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type layout) const
{
    ::elm_obj_slideshow_layout_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(layout));
}
inline ::efl::eolian::return_traits< ::efl::eina::string_view>::type Slideshow::transition_get() const
{
   const char * __return_value =  ::elm_obj_slideshow_transition_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::efl::eina::string_view>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Slideshow::transition_set( ::efl::eolian::in_traits< ::efl::eina::string_view>::type transition) const
{
    ::elm_obj_slideshow_transition_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<const char *,  ::efl::eolian::in_traits< ::efl::eina::string_view>::type>(transition));
}
inline ::efl::eolian::return_traits<bool>::type Slideshow::loop_get() const
{
   Eina_Bool __return_value =  ::elm_obj_slideshow_loop_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<bool>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Slideshow::loop_set( ::efl::eolian::in_traits<bool>::type loop) const
{
    ::elm_obj_slideshow_loop_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<Eina_Bool,  ::efl::eolian::in_traits<bool>::type>(loop));
}
inline ::efl::eolian::return_traits<double>::type Slideshow::timeout_get() const
{
   double __return_value =  ::elm_obj_slideshow_timeout_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<double>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Slideshow::timeout_set( ::efl::eolian::in_traits<double>::type timeout) const
{
    ::elm_obj_slideshow_timeout_set(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<double,  ::efl::eolian::in_traits<double>::type>(timeout));
}
inline ::efl::eolian::return_traits<  ::efl::eina::range_list< ::elm::widget::Item>>::type Slideshow::items_get() const
{
   const Eina_List * __return_value =  ::elm_obj_slideshow_items_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<  ::efl::eina::range_list< ::elm::widget::Item>>::type>(__return_value);
}
inline ::efl::eolian::return_traits<  ::efl::eina::range_list< ::efl::eina::string_view>>::type Slideshow::transitions_get() const
{
   const Eina_List * __return_value =  ::elm_obj_slideshow_transitions_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<  ::efl::eina::range_list< ::efl::eina::string_view>>::type>(__return_value);
}
inline ::efl::eolian::return_traits< unsigned int>::type Slideshow::count_get() const
{
   unsigned int __return_value =  ::elm_obj_slideshow_count_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< unsigned int>::type>(__return_value);
}
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Slideshow::item_current_get() const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_slideshow_item_current_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits<  ::efl::eina::range_list< ::efl::eina::string_view>>::type Slideshow::layouts_get() const
{
   const Eina_List * __return_value =  ::elm_obj_slideshow_layouts_get(this->_eo_ptr());
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits<  ::efl::eina::range_list< ::efl::eina::string_view>>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Slideshow::previous() const
{
    ::elm_obj_slideshow_previous(this->_eo_ptr());
}
inline ::efl::eolian::return_traits< ::elm::widget::Item>::type Slideshow::item_nth_get( ::efl::eolian::in_traits< unsigned int>::type nth) const
{
    ::Elm_Widget_Item* __return_value =  ::elm_obj_slideshow_item_nth_get(this->_eo_ptr()
      ,  ::efl::eolian::convert_to_c<unsigned int,  ::efl::eolian::in_traits< unsigned int>::type>(nth));
   return ::efl::eolian::convert_to_return< ::efl::eolian::return_traits< ::elm::widget::Item>::type>(__return_value);
}
inline ::efl::eolian::return_traits<void>::type Slideshow::next() const
{
    ::elm_obj_slideshow_next(this->_eo_ptr());
}
inline ::efl::eolian::return_traits<void>::type Slideshow::clear() const
{
    ::elm_obj_slideshow_clear(this->_eo_ptr());
}
inline elm::Slideshow::operator ::elm::Slideshow() const { return *static_cast< ::elm::Slideshow const*>(static_cast<void const*>(this)); }
inline elm::Slideshow::operator ::elm::Slideshow&() { return *static_cast< ::elm::Slideshow*>(static_cast<void*>(this)); }
inline elm::Slideshow::operator ::elm::Slideshow const&() const { return *static_cast< ::elm::Slideshow const*>(static_cast<void const*>(this)); }
} }

